%global vala_version_suffix -0.28
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	A lightweight email program designed around conversations
Name:		geary
Version:	0.10.0
Release:	1
License:	LGPLv2+
Group:		Networking/Mail
URL:		http://yorba.org/geary/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/geary/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	make
BuildRequires:	cmake
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.5
BuildRequires:	pkgconfig(libcanberra) >= 0.28
BuildRequires:	pkgconfig(sqlite3) >= 3.7.4
BuildRequires:	pkgconfig(gmime-2.6) >= 2.6.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.2
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.8.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	xml2po

Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q

%build
%cmake -DVALA_EXECUTABLE:FILEPATH=%{_bindir}/valac%{?vala_version_suffix} \
       -DVAPIGEN:FILEPATH=%{_bindir}/vapigen%{?vala_version_suffix} \
       -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF \
       -DDISABLE_CONTRACT=ON

%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS MAINTAINERS README THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Tue Mar 31 2015 Tigro <ashejn@yandex-team.ru> 0.10.0-1
+ Revision: 4a6ceb4
- update version


